Subject: Re: bug#65621: [PATCH] `dired-next-line' go to meaningful line

From: Eli Zaretskii <[email-masked]>
Date: Wed, 30 Aug 2023 16:36:06 +0300

> From: Shynur Xie <[email-masked]>
> Date: Wed, 30 Aug 2023 13:02:43 +0000
> 
> Cursor in Dired buffer sometimes go to a line which is not an item
> line.  For example, the 1st line and the last line:
> 
>    > d:/Desktop/.emacs.d/site-lisp:
>        drwxrwxrwx shynur 4096 08/30 18:15 .
>        drwxrwxrwx shynur 4096 08/30 18:07 ..
>        -rw-rw-rw- shynur  304 08/09  3:01 subdirs.el
>    > \Newline here.
> 
> Avoiding these lines may improve the experience when moving cursor.
> The attaching patch implements this.
> 
> If there is no visible item line, move the cursor as Dired used to do.

Thanks, but I personally fail to see why people would like this.  It
basically means that if I want to copy those "forbidden" lines to the
kill ring or the clipboard, I can't (except by disabling this
feature).  Is it really a good idea?